View Issue Details

IDProjectCategoryView StatusLast Update
13680Bug reports[All Projects] Theme editorpublic2018-05-22 15:05
Reporterduvemyster Assigned Todominikvitt  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.7.x 
Target VersionFixed in Version3.7.x 
Summary13680: Question screen = AdminController cannot find the requested view "/survey/questions/answer/listradio/columns/column_header".
Description

When loading the Question screen of an extended template, a limesurvey error message is presented:

  • AdminController cannot find the requested view "/survey/questions/answer/listradio/columns/column_header".
Steps To Reproduce
  1. Extend a theme.
  2. Change the screen to 'Question'
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.7.3+180516
I will donate to the project if issue is resolvedNo
BrowserFirefox Qantum 60.0 (64-bit)
Database & DB-VersionMaridb with Mysql client api 5.5.58
Server OS (if known)Linux
Webserver software & version (if known)Apache 2.0
PHP VersionPHP Version 5.6.30-0+deb8u1

Relationships

has duplicate 13692 closeddominikvitt AdminController cannot find the requested view "/survey/questions/answer/listradio/columns/column_header". 

Activities

DenisChenu

DenisChenu

2018-05-18 10:13

developer   ~47677

@dominikvitt : template editor must search the twig file, not the view file ;) after your fixes

guest

guest

2018-05-18 15:25

viewer   ~47687

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27179

Related Changesets

LimeSurvey: master 3dd3da2d

2018-05-18 15:25:01

Dominik Vitt

Details Diff
Fixed issue 13680: Question screen = AdminController cannot find the requested view "/survey/questions/answer/listradio/columns/column_header". Affected Issues
13680
mod - application/core/LSETwigViewRenderer.php Diff File
mod - application/views/admin/themes/templateeditor_question_answerlist_view.php Diff File
mod - application/views/admin/themes/templateeditor_question_answertext_view.php Diff File

Issue History

Date Modified Username Field Change
2018-05-16 21:17 duvemyster New Issue
2018-05-18 10:12 DenisChenu Assigned To => dominikvitt
2018-05-18 10:12 DenisChenu Status new => assigned
2018-05-18 10:13 DenisChenu Note Added: 47677
2018-05-18 15:25 Changeset attached => LimeSurvey master 3dd3da2d
2018-05-18 15:25 guest Note Added: 47687
2018-05-18 15:25 guest Resolution open => fixed
2018-05-18 15:27 dominikvitt Status assigned => resolved
2018-05-18 15:27 dominikvitt Fixed in Version => 3.7.x
2018-05-19 11:07 DenisChenu Relationship added has duplicate 13692
2018-05-22 15:05 ollehar Status resolved => closed